<?php
/**
 * Created by PhpStorm.
 * User: loyaltysolutions
 * Date: 11/07/2019
 * Time: 3:44 PM
 */

namespace App\Http\Proxy;

use Curl;

class BaseProxy
{

    private $agent_guid="&agent_guid=9d5d67b6-b122-94a4-9eb1-95bc0d4aedc5";
    private $api_key="?api_key=35395b067d49f6167dfb985d8882ab972a835b2dd2ce0df829c622a3f721ad00";
    private $base_url = "https://dev.giftingowl.com/API/agents/1.0/";
    private $url_keys;

    public function __construct(){
        $this->url_keys = $this->api_key.$this->agent_guid;
    }

    public function postRequest($endpoint,$extra = null, $payload){
        $url = $this->base_url.$endpoint.$this->url_keys.$extra;

        $response = Curl::to($url)
            ->withData($payload)
            ->asJson()
            ->post();

        if($response){
            if(isset($response->error)){
                \App\LogActivity::addLog(
                    "",
                    "Experience",
                    "Experience",
                    "",
                    200,
                    "fail",
                    "Error Booking",
                    json_encode($payload),
                    json_encode($response),
                    null,
                    null
                );
                return false;
            }
            \App\LogActivity::addLog(
                "",
                "Experience",
                "Experience",
                "",
                200,
                "success",
                "Successful",
                json_encode($payload),
                json_encode($response),
                null,
                null
            );
            return $response;
        }else{
            \App\LogActivity::addLog(
                "",
                "Experience",
                "Experience",
                "",
                200,
                "fail",
                "Error",
                json_encode($payload),
                json_encode($response),
                null,
                null
            );
            return false;
        }
    }


    public function getRequest($endpoint,$extra = null){
        $url = $this->base_url.$endpoint.$this->url_keys.$extra;

        $response = Curl::to($url)
            ->asJsonResponse()
            ->get();

        if($response){
            if(isset($response->error)){
                return false;
            }
            return $response;
        }else{
            return false;
        }
    }
}